Contents

Part I. Astrophysical Modelling
Part II. Photometric Redshift Estimation

Introduction: Astrophysical and Astronomical Applications
1.2. Traditional vs. Learning-Based Approaches
1.3. Project Aims and Dissertation Structure

Part I
Astrophysical Modelling

CHAPTER 2
Background
2.1. The Orbits of the Satellites of Jupiter
2.2. Data
2.3. Classical Orbital Elements
2.4. The Kepler Problem

CHAPTER 3
Genetic Algorithms for Astrophysical Modelling

CHAPTER 4
Particle Swarm Optimisation for Astrophysical Modelling

Part II
Photometric Redshift Estimation

CHAPTER 5
Quasar Redshifts in Optical Sky Surveys
5.1. Quasars and Redshifts
5.2. The Sloan Digital Sky Survey
5.3. Spectroscopic Redshifts in the SDSS
5.4. Magnitudes and Photometric Colours
5.5. Photometric Redshift Estimation
5.6. SDSS Quasar Dataset

CHAPTER 6
Artificial Neural Networks for Photo z Estimation

CHAPTER 7
Radial Basis Function Networks for Photo z Estimation

CHAPTER 8
Discussion
8.1. Systematic Errors
8.2. Colour-Redshift Relation and Spectral Lines
8.3. Other Learning Techniques for Photometric Redshift Estimation

Conclusion