Contents

1 Introduction
1.1 Statistical framework
1.2 Examples
1.3 Statistical algorithms

2 Model selection
2.1 The model selection paradigm
2.2 Model selection for estimation
2.3 Model selection for identification
2.4 Estimation vs. identification

3 Overview of some model selection procedures
3.1 The unbiased risk estimation principle
3.2 Biased estimation of the risk
3.3 Procedures built for identification
3.4 Structural risk minimization
3.5 Ad hoc penalization
3.6 Where are cross-validation procedures in this picture?

4 Cross-validation procedures
4.1 Cross-validation philosophy
4.2 From validation to cross-validation
4.3 Classical examples
4.4 Historical remarks

5 Statistical properties of cross-validation estimators of the risk
5.1 Bias
5.2 Variance

6 Cross-validation for efficient model selection
6.1 Relationship between risk estimation and model selection
6.2 The global picture
6.3 Results in various frameworks

7 Cross-validation for identification
7.1 General conditions towards model consistency
7.2 Refined analysis for the algorithm selection problem

8 Specificities of some frameworks
8.1 Density estimation
8.2 Robustness to outliers
8.3 Time series and dependent observations
8.4 Large number of models

9 Closed-form formulas and fast computation

10 Conclusion: which cross-validation method for which problem?
10.1 The general picture
10.2 How the splits should be chosen?
10.3 V-fold cross-validation
10.4 Future research