Contents

List of Figures

List of Abbreviations

1. Introduction
1.1 What is instruction selection?
1.2 Problems of comparing different methods

2. Macro Expansion
2.1 The principle
2.2 Naïve macro expansion
2.3 Improving code quality with peephole optimization
2.4 Summary

3. Tree Covering
3.1 The principle
3.2 First techniques to use tree pattern matching
3.3 Covering trees bottom-up with LR parsing
3.4 Covering trees top-down with recursion
3.5 A note on tree rewriting and tree covering
3.6 Separating pattern matching and pattern selection
3.7 Other techniques for covering trees
3.8 Summary

4. DAG Covering
4.1 The principle
4.2 Optimal pattern selection on DAGs is NP-complete
4.3 Covering DAGs with tree patterns
4.4 Covering DAGs with DAG patterns
4.5 Reducing pattern selection to a MIS problem
4.6 Other DAG-based techniques
4.7 Summary

5. Graph-Based Approaches
5.1 The principle
5.2 Pattern matching using subgraph isomorphism
5.3 Graph-based pattern selection techniques
5.4 Approaches based on processor modeling
5.5 Summary

6. Conclusions
6.1 Is instruction selection a closed problem?
6.2 Where to go from here?