1 INTRODUCTION

2 OVERVIEW
2.1 The Nearest Neighbor Search Problem
2.2 The Hashing Approach
2.3 Organization of This Paper

3 LOCALITY SENSITIVE HASHING: DEFINITION AND INSTANCES
3.1 The Family
3.2 Lp Distance
3.3 Angle-Based Distance
3.4 Hamming Distance
3.5 Jaccard Coefficient
3.6 χ² Distance
3.7 Other Similarities

4 LOCALITY SENSITIVE HASHING: SEARCH, MODELING, AND ANALYSIS
4.1 Search
4.2 Sorting Keys-LSH
4.3 Analysis and Modeling

5 LEARNING TO HASH: HAMMING EMBEDDING AND EXTENSIONS
5.1 Coding Consistent Hashing
5.2 Similarity Alignment Hashing
5.3 Order Preserving Hashing
5.4 Regularized Space Partitioning
5.5 Hashing with Weighted Hamming Distance
5.6 Other Hash Learning Algorithms
5.7 Beyond Hamming Distances in the Coding Space

6 LEARNING TO HASH: QUANTIZATION
6.1 1D Quantization
6.2 Hypercubic Quantization
6.3 Cartesian Quantization

7 LEARNING TO HASH: OTHER TOPICS
7.1 Multi-Table Hashing
7.2 Active and Online Hashing
7.3 Hashing for the Absolute Inner Product Similarity
7.4 Matrix Hashing
7.5 Compact Sparse Coding
7.6 Fast Search in Hamming Space

8 DISCUSSIONS AND FUTURE TRENDS
8.1 Scalable Hash Function Learning
8.2 Hash Code Computation Speedup
8.3 Distance Table Computation Speedup
8.4 Multiple and Cross Modality Hashing