Contents

1 Introduction
1.1 Motivating example
1.2 The QMC story
1.3 Progress on PDEs with random coefficients
1.4 Overview of this article

2 Uniform versus lognormal coefficients
2.1 Uniform case
2.2 Lognormal case

3 Quadrature, spatial discretization, dimension truncation

4 Single-level versus multi-level algorithms
4.1 Single-level algorithms
4.2 Multi-level algorithms

5 First order versus higher order methods

6 Error analysis
6.1 First order, single-level, uniform
6.2 First order, multi-level, uniform
6.3 First order, single-level, lognormal
6.4 First order, multi-level, lognormal
6.5 Higher order, single-level, uniform
6.6 Higher order, multi-level, uniform

7 A practical guide to the software for constructing QMC points
7.1 Constructing randomly shifted lattice rules
7.2 Constructing interlaced polynomial lattice rules
7.3 Generating interlaced Sobol' sequences

8 Concluding remarks