1 Introduction

2 Parallel Abstract Operational Semantics of CHR
2.1 Semantics of CHR and their Properties
2.2 Abstract Syntax of CHR
2.3 Sequential Abstract Operational Semantics of CHR
2.4 Extension to Parallel Abstract Semantics
2.5 Properties: Monotonicity, Soundness, and Serializability

3 Parallel CHR Example Programs

4 Parallel CHR with Transactions
4.1 Transactions in Parallel CHR
4.2 Abstract Syntax and Semantics of CHRt
4.3 Properties: Monotonicity, Soundness, and Serializability
4.4 Encoding Transactions in Standard CHR

5 Refined Parallel CHR Semantics
5.1 Syntax for Refined Parallel CHR
5.2 Sequential Refined CHR Semantics
5.3 Extension to Parallel Refined CHR Semantics
5.4 Properties: Monotonicity, Soundness, and Serializability

6 Parallel CHR Implementation in Haskell
6.1 Implementation Principles
6.2 Experimental Results

7 Massively-Parallel Set-Based CHR Semantics
7.1 Massively-Parallel Set-Based Semantics CHRmp
7.2 Example Programs under Exhaustive Parallelism
7.3 Properties: Soundness under Deletion-Acyclicity

8 Parallel Hardware Implementations of CHR
8.1 Basic Compilation of CHR to Procedural Languages
8.2 Compiling CHR to Parallel Hardware

9 Distribution in CHR
9.1 Distributed Set-Based Goal Stores in CHRd
9.2 Distributed Parallel CHRe and its Syntax
9.3 Refined Semantics of CHRe
9.4 Properties: Monotonicity, Soundness, and Serializability
9.5 Encoding 1- and n-Neighbor Rules in Local Rules

10 Models of Concurrency in CHR
10.1 Software Transactional Memory STM
10.2 Colored Petri Nets CPN
10.3 Actor Model
10.4 Join-Calculus and Join-Patterns

11 Discussion and Future Work