1 Introduction
1.1 Explainable Recommendation
1.2 A Historical Overview
1.3 Classification of the Methods
1.4 Explainability and Effectiveness
1.5 Explainability and Interpretability
1.6 How to Read the Survey

2 Information Source for Explanations
2.1 Relevant User or Item Explanation
2.2 Feature-based Explanation
2.3 Opinion-based Explanation
2.4 Sentence Explanation
2.5 Visual Explanation
2.6 Social Explanation
2.7 Summary

3 Explainable Recommendation Models
3.1 Overview of Machine Learning for Recommendation
3.2 Factorization Models for Explainable Recommendation
3.3 Topic Modeling for Explainable Recommendation
3.4 Graph-based Models for Explainable Recommendation
3.5 Deep Learning for Explainable Recommendation
3.6 Knowledge Graph-based Explainable Recommendation
3.7 Rule Mining for Explainable Recommendation
3.8 Model Agnostic and Post Hoc Explainable Recommendation
3.9 Summary

4 Evaluation of Explainable Recommendation
4.1 User Study
4.2 Online Evaluation
4.3 Offline Evaluation
4.4 Qualitative Evaluation by Case Study
4.5 Summary

5 Explainable Recommendation in Different Applications
5.1 Explainable E-commerce Recommendation
5.2 Explainable Point-of-Interest Recommendation
5.3 Explainable Social Recommendation
5.4 Explainable Multimedia Recommendation
5.5 Other Explainable Recommendation Applications
5.6 Summary

6 Open Directions and New Perspectives
6.1 Methods and New Applications
6.2 Evaluation and User Behavior Analysis
6.3 Explanation for Broader Impacts
6.4 Cognitive Science Foundations