1. Introduction
1.1. Contributions
1.2. Novelty
1.3. Paper Organization
2. Network Programmability
2.1. Definition of Terms
2.2. Control Plane Programmability and SDN
2.3. Data Plane Programming
2.4. Data Plane Programming Models
2.5. Benefits
3. The P4 Programming Language
3.1. Specification History
3.2. Development and Deployment Process
3.3. Information Flow
3.4. Data Types
3.6. Match-Action Controls
3.7. Deparser
4. P4 Architectures & Compilers
4.1. P4_I6 Architectures
4.2. P4 Compiler
5. P4 Targets
5.1. Software-Based P4 Targets
5.2. FPGA-Based P4 Targets
5.3. ASIC-Based P4 Targets
5.4. NPU-Based P4 Targets
6. P4 Data Plane APIs
6.1. Definition & Functionality
6.2. Characterization of Data Plane APIs
6.3. Data Plane API Implementations
6.4. Controller Use Case Patterns
7. Advances in P4 Data Plane Programming
7.1. Optimization of Development and Deployment
7.2. Testing and Debugging
7.3. Research on P4 Targets
7.4. Research on Control Plane Operation
8. Applied Research Domains: Classification & Overview
8.1. Classification of P4’s Core Features
8.2. Categorization of Research Domains
9. Applied Research Domains: Monitoring
9.1. Detection of Heavy Hitters
9.2. Flow Monitoring
9.3. Sketches
9.4. In-Band Network Telemetry
9.5. DSL-Based Monitoring Systems
9.6. Path Tracking
9.7. Other Fields of Application
9.8. Summary and Analysis
10. Applied Research Domains: Traffic Management and Congestion Control
10.1. Data Center Switching
10.2. Load Balancing
10.3. Congestion Notification
10.4. Traffic Scheduling
10.5. Traffic Aggregation
10.6. Active Queue Management (AQM)
10.7. Traffic Offloading
10.8. Summary and Analysis
11. Applied Research Domains: Routing and Forwarding
11.1. Source Routing
11.2. Multicast
11.3. Publish/Subscribe Systems
11.4. Named Data Networking
11.5. Data Plane Resilience
11.7. Summary and Analysis
12. Applied Research Domains: Advanced Networking
12.1. Cellular Networks (4G/5G)
12.2. Internet of Things (IoT)
12.3. Industrial Networking
12.4. Time-Sensitive Networking (TSN)
12.5. Network Function Virtualization (NFV)
12.6. Service Function Chains (SFCs)
12.7. Summary and Analysis
13. Applied Research Domains: Network Security
13.1. Firewalls
13.2. Port Knocking
13.3. DDoS Attack Mitigation
13.4. Intrusion Detection Systems (IDS) & Deep Packet Inspection (DPI)
13.5. Connection Security
13.6. Other Fields of Application
13.7. Summary and Analysis
14. Miscellaneous Applied Research Domains
14.1. Network Coding
14.2. Distributed Algorithms
14.3. State Migration
14.4. Application Support
14.5. Summary and Analysis
15. Discussion & Outlook
15.2. P4 Targets Revisited
15.3. Target Independence and Portability
15.4. A Business Perspective for P4-Programmable Data Planes
15.5. Outlook
16. Conclusion