1. Introduction
2. What Constitutes a Domain Adaptation Problem?
2.1 Exploring the Definition of Domain
2.2 Domain Adaptation and Multi-Domain Adaptation
3. A Brief Overview of Neural Machine Translation
3.1 Representing Language for Neural Machine Translation
3.2 Neural Translation Model Architecture
3.3 Training Neural Machine Translation Models
3.4 Inference with Neural Machine Translation Models
4. Fine-Tuning as a Domain Adaptation Baseline, and its Difficulties
4.1 Difficulty: Not Enough In-Domain Data
4.2 Difficulty: Forgetting Previous Domains
4.3 Difficulty: Overfitting to New Domains
5. Data-Centric Adaptation Methods
5.1 Selecting Additional Natural Data for Adaptation
5.2 Filtering Existing Natural Data
5.3 Generating Synthetic Bilingual Adaptation Data from Monolingual Data
5.4 Artificially Noising and Simplifying Natural Data
5.5 Synthetic Bilingual Adaptation Data
6. Architecture-Centric Adaptation
6.1 Domain Labels and Control
6.2 Domain-Specific Subnetworks
6.4 Architecture-Centric Multi-Domain Adaptation
7. Training Schemes for Adaptation
7.1 Objective Function Regularization
7.2 Curriculum Learning
7.3 Instance Weighting
7.4 Non-MLE Training
8. Inference Schemes for Adaptation
8.1 Multi-Domain Ensembling
8.3 Domain Terminology Via Pre- and Post-Processing
9. Case Studies for (Multi-)Domain Adaptation
9.1 Low Resource Language Translation as a Domain Adaptation Problem
9.2 Gender Bias in Machine Translation as a Domain Adaptation Problem
9.3 Document-Level Translation as a Domain Adaptation Problem
10. Conclusions and Future Directions