1 Introduction
2 Significance of Physics-Guided Deep Learning
2.1 Accelerate Data Simulation
2.2 Build Scientifically Valid Models
2.3 Improve the Generalizability of DL Models
2.4 Discover Governing Equations
3 Problem Formulation
3.1 Solving Differential Equations
3.2 Learning Dynamics Residuals
3.3 Dynamics Forecasting
3.4 Search for Governing Equations
4 Physics-Guided Loss Functions and Regularization
4.1 Case Study: Physics-informed Neural Networks
4.2 Solving Differential Equations
4.3 Improving Prediction Performance
4.4 Data Generation
4.5 Pros and Cons
5 Physics-Guided Design of Architecture
5.1 Case Study: Turbulent-Flow Net
5.2 Convolutional Architecture
5.3 Graph Neural Networks
5.4 Multilayer Perceptron
5.5 Pros and Cons
6 Hybrid Physics-DL Model
6.1 Case Study: Neural Differential Equations
6.2 Residual Modeling
6.3 Intermediate Variable Modeling
6.4 Pros and Cons
7 Invariant and Equivariant DL Models
7.1 Case Study: Equivariant Deep Dynamics Models
7.2 Equivariant Convolutional Neural Networks
7.3 Equivariant Graph Neural Networks
7.4 Symmetry Discovery
7.5 Pros and Cons
8 Discussion
8.1 Improving Generalization
8.2 Improving Robustness of Long-term Forecasting
8.3 Learning Dynamics in Non-Euclidean Spaces
8.4 Theoretical Analysis
8.5 Causal Inference in Dynamical Systems
8.6 Search for Physical Laws
8.7 Efficient Computation