1.1 Motivation: Parameter estimation in statistical signal processing applications
1.2 Framework: Monte Carlo methods
1.3 Related articles, books and software packages
1.4 Acronyms, notation and organization
2 Mathematical Formulation
2.1 Bayesian Inference and the Monte Carlo Method
2.2 Rejection Sampling (RS)
3 Markov Chain Monte Carlo (MCMC)
3.1 MCMC basic building blocks: Metropolis-Hastings and Gibbs samplers
3.2 Adaptive MCMC
3.3 Gradient-based techniques
3.4 Other advanced schemes
3.5 MCMC Convergence Diagnostics
4 Importance Sampling
4.1 Standard and Multiple Importance Sampling
4.2 Adaptive importance sampling
4.3 Convergence of IS and AIS methods
4.4 Variance of the IS estimators and optimal proposal
4.5 Effective Sample Size
4.6 Proper Weighting
4.7 Group Importance Sampling
4.8 Sequential Importance Sampling (SIS)
5 MC-within-MCMC methods
5.1 MCMC with multiple candidates for the estimation of a static parameter
5.2 MCMC with multiple candidates for the estimation of a dynamic parameter
5.3 Pseudo-marginal MCMC methods
5.4 Noisy and approximate likelihood methods
6 Numerical Simulations
6.1 Illustrative Example for Adaptive MCMC algorithms
6.2 Illustrative Example for Adaptive Importance Sampling
6.3 Parameter Estimation in a Chaotic System
6.4 Localization in WSN and Tuning of the Network
6.5 Spectral Analysis
7 Conclusion