Contents

1 Introduction

2 Applicability of Quantum Computing to Finance
2.1 Macroeconomic Challenges for Financial Institutions
2.2 Financial Use Cases for Quantum Computing

3 Quantum Computing Concepts
3.1 Fundamentals of Quantum Information
3.2 Models of Quantum Computation
3.3 Quantum Hardware Challenges

4 Foundational Quantum Algorithms
4.1 Quantum Unstructured Search
4.2 Quantum Amplitude Amplification
4.3 Quantum Phase Estimation
4.4 Quantum Amplitude Estimation
4.5 Quantum Linear System Algorithms
4.6 Quantum Walks
4.7 Variational Quantum Algorithms
4.8 Adiabatic Quantum Optimization

5 Stochastic Modeling
5.1 Monte Carlo Integration
5.2 Numerical Solutions of Differential Equations
5.3 Financial Applications

6 Optimization
6.1 Combinatorial Optimization
6.2 Convex Optimization
6.3 Large-Scale Optimization
6.4 Financial Applications

7 Machine Learning
7.1 Regression
7.2 Classification
7.3 Clustering
7.4 Dimensionality Reduction
7.5 Generative Models
7.6 Quantum Neural Networks
7.7 Quantum Reinforcement Learning
7.8 Natural Language Modeling
7.9 Financial Applications

8 Hardware Implementations of Use Cases
8.1 Quantum Risk Analysis on a Transmon Device
8.2 Portfolio Optimization with Reverse Quantum Annealing
8.3 Portfolio Optimization on a Trapped-Ion Device

9 Conclusion and Outlook