Contents

1 Introduction

2 Preliminaries

2.1 High-Dimensional Contextual MDP (HCMDP)

2.2 Major Challenges in Visual RL

2.3 Data Augmentation in Visual RL

3 How to Augment Data in Visual RL?

3.1 Observation Augmentation via Classic Image Manipulations

3.2 Observation Augmentation via DNN-based Transformations

3.3 Transition Augmentation

3.4 Trajectory Augmentation

3.5 Automatic Augmentation

3.6 Context-Aware Augmentation

4 How to Leverage Augmented Data in Visual RL?

4.1 Implicit Policy Regularization

4.2 Explicit Policy Regularization with Auxiliary Tasks

4.3 Task-Specific Representation Decoupled from Policy Optimization

4.4 Task-Agnostic Representation Using Unsupervised Learning

5 Experimental Evaluation

5.1 Representative Benchmarks

5.2 Sample Efficiency Evaluation

5.3 Zero-Shot Generalization Evaluation

6 Discussion and Future Works

6.1 Semantic-Level Data Augmentation

6.2 Trade-off Between Instability and Generalization

6.3 Data Augmentation: Supervised Learning vs. Reinforcement Learning

6.4 Theoretical Foundations for Data Augmentation

6.5 Limitations of Data Augmentation

7 Conclusion