ACRONYMS

1 INTRODUCTION
1.1 Objectives of UAV Operations and Communications
1.2 ML for UAV Operations
1.3 Key Components of UAV Operations and Communications
1.4 Contributions of This Survey
1.5 Organization of This Survey

2 BACKGROUND TO UAV SYSTEMS
2.1 UAV Taxonomy
2.2 Communication Capabilities of UAV
2.3 Types of UAVs and Mobility
2.4 Performance Metrics for UAV Communications

3 SURVEY OF SURVEYS
3.1 ML-aided UAV Communications
3.2 ML-aided UAV Control
3.3 ML-aided UAV Feature Extraction and Perception

4 BACKGROUND OF ML FOR UAV APPLICATIONS
4.1 Supervised Learning
4.2 Unsupervised Learning
4.3 Semi-supervised Learning
4.4 Reinforcement Learning (RL)
4.5 Other ML Techniques
4.6 Applications of ML to UAV Systems

5 ML FOR UAV TRAJECTORY PLANNING AND MISSION SCHEDULING
5.1 Supervised Learning-based UAV Communications
5.2 Unsupervised Learning for Trajectory Planning and Communications
5.3 Semi-supervised Learning for UAV Trajectory Optimization
5.4 Reinforcement Learning for Joint Trajectory Planning and Mission Scheduling

6 ML FOR AERODYNAMIC CONTROL AND OPERATION OF UAV
6.1 Supervised Learning-based UAV Operations
6.2 Unsupervised Learning-based Approaches

7 ML FOR UAV PERCEPTION AND FEATURE EXTRACTION
7.1 Supervised Learning-based UAV Perception and Feature Extraction
7.2 Unsupervised Learning for UAV Feature Extraction

8 ML FOR FEATURE INTERPRETATION AND REGENERATION
8.1 Supervised Learning-based Feature Interpretation
8.2 Semi-supervised Learning for UAV-based Feature Regeneration

9 CHALLENGES, OPEN ISSUES, AND DISCUSSION
9.1 Support for IoT With Minimal Prior Data
9.2 Increasing Energy Requirement vs. Finite Battery
9.3 UAV Cooperation Without Persistent Connectivity
9.4 Privacy and Security of UAV Communications
9.5 Support for Heterogeneous UAV Swarms
9.6 Responsible ML for UAVs Interacting With Reactive Objects
9.7 Experimental Prototyping and Validation
9.8 Theory and Implementation of RL/DRL for UAV Attitude Control
9.9 Meta-learning and Transfer Learning for UAV Operations

10 CONCLUSION