Contents

1 INTRODUCTION

2 PRELIMINARIES
2.1 Notations and Definitions
2.2 Polynomial Rings
2.3 Polynomial Multiplication and Convolution

3 NUMBER THEORETIC TRANSFORM (NTT)
3.1 Cyclic Convolution-based NTT
3.2 Negative Wrapped Convolution-based NTT
3.3 NTT-based Polynomial Multiplication
3.4 Complexity
3.5 Advantages of NTT

4 SOME TRICKS FOR POLYNOMIAL MULTIPLICATIONS

5 BASIC RADIX-2 FAST NUMBER THEORETIC TRANSFORM
5.1 FFT Trick
5.2 FFT Trick for CC-based NTT over Z_q[x]/(x^n-1)
5.3 FFT Trick for NWC-based NTT over Z_q[x]/(x^n+1)
5.4 Twisted FFT Trick
5.5 In-place Operation, Reordering and Complexity

6 METHODS TO WEAKEN RESTRICTIONS ON PARAMETER CONDITIONS OF NTT
6.1 Method Based on Incomplete FFT Trick
6.2 Method Based on Splitting Polynomial Ring
6.3 Method Based on Large Modulus

7 CHOOSING NUMBER THEORETIC TRANSFORM FOR GIVEN RINGS
7.1 Z_q[x]/(x^n±1) with Respect to Power-of-two n
7.2 Z_q[x]/(x^n±1) with Respect to Non-power-of-two n
7.3 Z_q[x]/(φ(x)) with Respect to General φ(x) of Degree n

8 NUMBER THEORETIC TRANSFORM IN NIST PQC
8.1 Kyber
8.2 Dilithium
8.3 Falcon
8.4 Saber
8.5 NTRU
8.6 NTRU Prime

9 CONCLUSION AND FUTURE WORK