ACM Reference Format:

1. Introduction

2. Background  
2.1 Problem Definition  
2.2 Traditional Graph Embedding  
2.3 Why Study Deep Graph Representation Learning  

3. Graph Convolutions  
3.1 Spectral Graph Convolutions  
3.2 Spatial Graph Convolutions  

4. Graph Kernel Neural Networks  
4.1 Graph Kernels  
4.2 General Framework of GKNNs  
4.3 Popular Variants of GKNNs  

5. Graph Pooling  
5.1 Global Pooling  
5.2 Hierarchical Pooling  

6. Graph Transformer  
6.1 Transformer  
6.2 Overview  
6.3 Attention Modification  
6.4 Encoding Enhancement  

7. Semi-supervised Learning on Graphs  
7.1 Node Representation Learning  
7.2 Graph Representation Learning  

8. Graph Self-supervised Learning  
8.1 Overall framework  
8.2 Generation-based Pretext Task Design  
8.3 Contrast-Based Pretext Task Design  

9. Graph Structure Learning  
9.1 Overall Framework  
9.2 Regularization  
9.3 Metric-based Methods  
9.4 Model-based Methods  
9.5 Direct Methods  

10. Social Analysis  
10.1 Concepts of Social Networks  
10.2 Academic Social Network  
10.3 Social Media Network  
10.4 Location-based Social Network  

11. Molecular Property Prediction  
11.1 Molecular Property Categorization  
11.2 Molecular Graph Representation Learning Backbones  
11.3 Training Strategies  

12. Molecular Generation  
12.1 Taxonomy for Molecular Featurization Methods  
12.2 Generative Methods for Molecular Graphs  

13. Recommender Systems  
13.1 User-Item Bipartite Graph  
13.2 Transition Graph  
13.3 HyperGraph  
13.4 Other Graphs  

14. Traffic Analysis  
14.1 Research Directions in Traffic Domain  
14.2 Traffic Graph Construction  
14.3 Typical GNN Frameworks in Traffic Domain  

15. Summary  

16. Discussion  
16.1 GNN Architectures  
16.2 Learning Paradigms  

17. Future Directions  
17.1 Application-Inspired Directions  
17.2 Theory-Driven Directions  

18. Conclusion