Contents

1. Introduction

2. Clinical Applications for CPath
2.1. Clinical Pathology Workflow
2.2. Diagnostic Tasks
2.3. Prognosis
2.4. Prediction of treatment response
2.5. Organs and Diseases

3. Data Collection for CPath
3.1. Tissue Slide Preparation
3.2. Whole Slide Imaging (WSI)
3.3. Cohort Selection, Scale, and Challenges

4. Domain Expert Knowledge Annotation
4.1. Supervised Annotation
4.2. Optimum Labeling Workflow Design

5. Model Learning for CPath
5.1. Classification Architectures
5.2. Segmentation Architectures
5.3. Object Detection Architectures
5.4. Multi-Task Learning
5.5. Multi-Modal Learning
5.6. Vision-Language Models
5.7. Sequential Models
5.8. Synthetic Data and Generative Models
5.9. Multi-Instance Learning (MIL) Models
5.10. Contrastive Self-Supervised Learning for Few-Shot Generalization
5.11. Novel CPath Architectures
5.12. Model Comparison

6. Evaluation and Regulations
6.1. Clinical Validation
6.2. FDA Regulations

7. Emerging Trends in CPath Research
7.1. Contrastive Self-Supervised Learning becomes Mainstream
7.2. Prediction becoming increasingly High-Level
7.3. Spatial and Hierarchical Relationships receiving Attention
7.4. Vision-Language Models for Explainable Predictions

8. Existing Challenges and Future Opportunities
8.1. CPath as Anomaly Detection
8.2. Leveraging Existing Datasets
8.3. Creating New Datasets
8.4. Pre- and Post-Analytical CAD Tools
8.5. Multi Domain Learning
8.6. Federated Learning for Multi-Central CPath
8.7. CPath-specific Architecture Designs
8.8. Digital and Computational Pathology Adoption
8.9. Institutional Challenges
8.10. Clinical Alignment of CPath Tasks
8.11. Concluding Remarks