1 Introduction
2 A Taxonomy for Data Selection
2.1 Background and Motivation of Data Selection
2.2 A Unified Conceptual Framework for Data Selection
2.3 Dimensions of Variance in the Data Selection Taxonomy
3 Data Selection for Pretraining
3.1 Language Filtering
3.2 Heuristic Approaches
3.3 Data Quality
3.4 Domain-Specific Selection
3.5 Data Deduplication
3.6 Filtering Toxic and Explicit Content
3.7 Specialized Selection for Multilingual Models
3.8 Data Mixing
3.9 Current Best Practices and Landscape For Data Selection
4 Data Selection for Instruction-Tuning and Multitask Training
5 Data Selection for Preference Fine-Tuning: Alignment
6 Data Selection for In-Context Learning
7 Data Selection for Task-Specific Fine-Tuning
8 Data Selection for Other Domains
9 Related Topics
10 Discussion
10.1 Test Set Decontamination
10.2 Trade-offs Between Memorization and Generalization
10.3 There’s No Free Lunch for Filtering
10.4 Tools for Data Selection
10.5 Considerations When Applying Data Selection to Your Setting
11 Future Directions: Challenges and Opportunities
11.1 Accelerating Research on Data Selection
11.2 Better Understanding the Properties of the Target Distribution
11.3 Shifting Compute Time from Model Training to Data Processing
12 Conclusion