I. INTRODUCTION
A. RELATED SURVEYS
B. SURVEY CONTRIBUTIONS, CONTENT, ORGANIZATION, AND READING GUIDELINE
II. PRELIMINARIES ON 6G WIRELESS INTELLIGENCE
A. WHAT SHOULD 6G BE?
B. AN OVERVIEW OF DISCRIMINATIVE AI
C. DAI USE CASES IN WIRELESS INTELLIGENCE
D. THE WAYS GenAI COMPLEMENT DAI
III. A TUTORIAL ON GENERATIVE MODELS
A. A TAXONOMY OF GENERATIVE MODELS
B. GENERATIVE ADVERSARIAL NETWORKS (GANs)
C. VARIATIONAL AUTOENCODERS (VAEs)
D. FLOW-BASED GMs (FGMs)
E. DIFFUSION-BASED GMs (DGMs)
F. GENERATIVE TRANSFORMERS AND LARGE LANGUAGE MODELS
G. GENERATIVE AUTOREGRESSIVE MODELS (GAMs)
H. RESTRICTED BOLTZMANN MACHINES (RBMs)
I. DEEP BELIEF NETWORKS (DBNs)
J. KEY GM PERFORMANCE METRICS
IV. GenAI FOR PHYSICAL LAYER DESIGN
A. CHANNEL MODELING, ESTIMATION, AND EQUALIZATION
B. MODULATION RECOGNITION
C. JOINT SOURCE-CHANNEL CODING (JSCC)
D. SPECTRUM SENSING AND RECOVERY
E. ENHANCED DETECTION AND DECODING
F. END-TO-END (E2E) SYSTEM DESIGN
G. SUMMARY, INSIGHTS, AND FUTURE DIRECTIONS
V. GenAI FOR NETWORK OPTIMIZATION, ORGANIZATION, AND MANAGEMENT
A. ENHANCING ML ALGORITHMS
B. NETWORK SLICING AND RESOURCE ALLOCATION
C. SELF-ORGANIZING NETWORKS (SONs)
D. ADAPTATION TO DYNAMIC ENVIRONMENTS
E. COVERAGE ESTIMATION AND OPTIMIZATION
F. SUMMARY, INSIGHTS, AND FUTURE DIRECTIONS
VI. GenAI FOR NETWORK TRAFFIC ANALYTICS
A. SYNTHETIC TRAFFIC DATA GENERATION
B. ADDRESSING TRAFFIC CLASS IMBALANCE
C. ENCRYPTED TRAFFIC CLASSIFICATION
D. IMPROVING TRAFFIC SUPER-RESOLUTION
E. DYNAMIC TRAFFIC CAMOUFLAGING
F. IMPROVING TEMPORAL TRAFFIC PREDICTION
G. SUMMARY, INSIGHTS, AND FUTURE DIRECTIONS
VII. GenAI FOR CROSS-LAYER NETWORK SECURITY
A. PHY LAYER SECURITY AND AUTHENTICATION
B. JAMMING/SPOOFING RECOGNITION AND PROTECTION
C. ANOMALY AND ATTACK DETECTION
D. NETWORK INTRUSION DETECTION SYSTEMS
E. COVERT, MALWARE, AND RESILIENT COMMUNICATIONS
F. SUMMARY, INSIGHTS, AND FUTURE DIRECTIONS
VIII. GenAI FOR LOCALIZATION AND POSITIONING
A. DATA AUGMENTATION, IMPUTATION, AND MAP GENERATION
B. RF FINGERPRINTING FOR LOCALIZATION
C. OWC LOCALIZATION AND POSITIONING
D. SUMMARY, INSIGHTS, AND FUTURE DIRECTIONS
IX. NEW 6G FRONTIERS FOR GENERATIVE MODELS
A. SEMANTIC COMMUNICATIONS
B. INTEGRATED SENSING AND COMMUNICATIONS
C. NEXT-GENERATION PHYSICAL LAYER DESIGN
D. DIGITAL TWINS OF 6G NETWORKS
E. AI-GENERATED CONTENT FOR 6G NETWORKS
F. MOBILE EDGE COMPUTING AND EDGE AI
G. ADVERSARIAL ML AND TRUSTWORTHY AI
X. OPEN CHALLENGES AND THE WAY FORWARD
A. RAMIFICATIONS OF COMPUTATIONAL COMPLEXITY
B. SCALABILITY AND FLEXIBILITY
C. ROBUSTNESS AND RELIABILITY
D. INTEROPERABILITY, COMPATIBILITY, AND STANDARDIZATION
E. REGULATION AND POLICY
XI. CONCLUSIONS