1. Introduction
1.1 Neutral hydrogen in the distant Universe
1.2 Surveys for intervening 21 cm HI absorption
1.3 Surveys for associated 21 cm HI absorption
1.4 HI absorption studies with SKA precursor telescopes
1.5 Outline of this paper
2. The ASKAP-FLASH Pilot Surveys
2.1 FLASH survey strategy and data pipeline
2.2 Choice of observing parameters
2.3 Spectral-line beam forming intervals with ASKAP
3. Observations
3.1 Pilot Survey 1: 2019-20
3.2 Pilot Survey 2: 2021-22
3.3 Sky coverage of the two Pilot Surveys
3.4 The GAMA 9h, 12h and 15h fields
3.5 SDSS Stripe 82 fields
3.6 WiggleZ fields
4. Data Processing
4.1 Pipeline processing
4.2 Pilot 1 data and post-processing
4.3 Pilot 2 data
5. Data products released in CASDA
5.1 Processed data products
5.2 Data validation and quality assessment
6. Continuum images and catalogues
6.1 Wide field continuum images
6.2 Selavy radio source catalogues
6.3 Astrometric accuracy
6.4 Flux-density scale
7. Spectral-line data
7.1 Uniformity of the FLASH data over time
7.2 Spectral-line artefacts
8. FLASH finder - an automated search for HI absorption lines
8.1 An automated absorption line-finder for ASKAP
8.2 Line identification in the Pilot Survey spectra
8.3 Identifying genuine absorption lines
8.4 Properties of the detected lines
8.5 Machine Learning classification of detected absorption lines
8.6 Completeness tests
8.7 Comparison of repeat observations
8.8 Radio continuum properties of HI detected sources
9. Discussion
9.1 General remarks on data quality
9.2 Properties of the detected HI lines
9.3 HI detection rate in the pilot surveys
9.4 Verification of FLASH data using MeerKAT
9.5 Future work
10. Summary